# %%global release_version 5
# %%global release_name Miyako
# %%global beta_version 
%global builtin_release_version Sinji
%global builtin_release_name Sinji
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%global momorel 3
%global snapver	20080902

Summary: Momonga Linux release file
Name: momonga-release
Version: 5
#Release: 0.%{snapver}.%{momorel}m%{?dist}
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Base
Source: momonga-release-%{real_release_version}.tar.gz
Obsoletes: redhat-release
Obsoletes: rawhide-release
Provides: redhat-release
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
Momonga Linux release file

%prep
%setup -q -n momonga-release-%{real_release_version}

%build

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_sysconfdir}
echo "Momonga Linux release %{real_release_version} (%{real_release_name})%{?beta_version: %{beta_version}}" > %{buildroot}%{_sysconfdir}/momonga-release
cp %{buildroot}%{_sysconfdir}/momonga-release %{buildroot}%{_sysconfdir}/issue
echo "Kernel \r on an \m" >> %{buildroot}%{_sysconfdir}/issue
cp %{buildroot}%{_sysconfdir}/issue %{buildroot}%{_sysconfdir}/issue.net
echo >> %{buildroot}%{_sysconfdir}/issue
ln -s momonga-release %{buildroot}%{_sysconfdir}/redhat-release
ln -s momonga-release %{buildroot}%{_sysconfdir}/system-release

mkdir -p -m 755 %{buildroot}/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
        install -m 644 $file %{buildroot}/etc/pki/rpm-gpg
done

mkdir -p -m 755 %{buildroot}/etc/yum.repos.d
for file in momonga*repo ; do
  install -m 644 $file %{buildroot}/etc/yum.repos.d
done

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%post
[ -x /usr/bin/scrollkeeper-update ] && /usr/bin/scrollkeeper-update
[ -x /usr/bin/update-desktop-database ] && /usr/bin/update-desktop-database
exit 0

%postun
[ -x /usr/bin/scrollkeeper-update ] && /usr/bin/scrollkeeper-update
[ -x /usr/bin/update-desktop-database ] && /usr/bin/update-desktop-database
exit 0

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/momonga-release
/etc/redhat-release
/etc/system-release
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/*
%doc GPL
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5-3m)
- rebuild against rpm-4.6

* Tue Dec 30 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (5-2m)
- add /etc/system-release

* Fri Oct 10 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (5-1m)
- Momonga Linux 5 

* Tue Sep 23 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (5-0.20080923.1m)
- Momonga Linux 5 beta 2

* Tue Sep 02 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (5-0.20080902.1m)
- Momonga Linux 5 beta 1

* Mon Aug 18 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (5-0.20080818.1m)
- Momonga Linux 5 alpha 2

* Tue Aug  5 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (5-0.20080805.1m)
- Momonga Linux 5 alpha 1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (5-0.20070812.2m)
- rebuild against gcc43

* Sun Aug 12 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (5-0.20070812.1m)
- for trunk

* Sun Aug 12 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4-1m)
- Momonga Linux 4
- update GPL

* Sat Jun 30 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (4-0.20070630.1m)
- Momonga Linux 4 beta 1

* Sun Jun 17 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (4-0.20070617.1m)
- Momonga Linux 4 pre alpha

* Sat Aug 12 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3-1m)
- Momonga Linux 3 Release

* Thu Jun 22 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3-0.20060622.1m)
- Momonga Linux 3 alpha

* Sun Jun  4 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3-0.20060604.1m)
- Momonga Linux 3 pre alpha

* Fri Apr 15 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2-20050415m)
- add RPM-GPG-KEY-momonga

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1-20050226m)
- support new yum (yum.repos.d)

* Sat Feb 19 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1-20050219m)
- Momonga LInux development (Sinji)
  (Still IN Jirai)

* Fri Aug 13 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1-2m)

* Wed Jul 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1-1m)
- Momonga Linux release 1 (Kaede)

* Sat Jul 17 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1-0.3m)
- Momonga Linux release 1 (Kaede) beta2

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1-0.2m)
- remove Epoch

* Tue Jul  6 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1-0.1m)
- Momonga Linux 1 beta1
